# GridFire: gridfire::reaction Namespace Reference

Loading...
Searching...
No Matches
gridfire::reaction Namespace Reference

## Classes

class | LogicalReaclibReaction
| Represents a "logical" reaction that aggregates rates from multiple sources. More...
struct | RateCoefficientSet
| Holds the seven coefficients for the REACLIB rate equation. More...
class | ReaclibReaction
class | Reaction
| Represents a single nuclear reaction from a specific data source. More...
class | ReactionSet

## Enumerations

enum class | ReactionType { WEAK , REACLIB , LOGICAL_REACLIB }

## Functions

ReactionSet | packReactionSet (const ReactionSet &reactionSet)

## Enumeration Type Documentation

## ReactionType

enum class gridfire::reaction::ReactionType

strong

Enumerator
WEAK |
REACLIB |
LOGICAL_REACLIB |

## Function Documentation

## packReactionSet()

ReactionSet gridfire::reaction::packReactionSet | ( | const ReactionSet & | reactionSet | ) |